package com.fp.armas.portal.util;

import java.util.Calendar;
import java.util.Date;

/**
 * Clase que maneja fechas
 * @author dcruz
 *
 */
public class FechaUtil {
	
	/**
	 * Devuelve una fecha con los valores ingresados
	 * @param anio
	 * @param mes
	 * @param dia
	 * @return
	 */
	public static Date obtenerFecha(int anio, int mes, int dia) {
		return obtenerFecha(anio, mes, dia, null, null, null, null);
	}

	/**
	 * Retorna una fecha con los par&aacute;metros indicados
	 * @param anio
	 * @param mes
	 * @param dia
	 * @param hora
	 * @param minuto
	 * @param segundo
	 * @param milisegundo
	 * @return
	 */
	public static Date obtenerFecha(int anio, int mes, int dia, Integer hora, Integer minuto, Integer segundo, Long milisegundo) {
		Calendar fecha = Calendar.getInstance();
		fecha.set(Calendar.YEAR, anio);
		fecha.set(Calendar.MONTH, mes);
		fecha.set(Calendar.DATE, dia);
		if(hora == null){
			fecha.set(Calendar.HOUR_OF_DAY, 0);
		}
		if(minuto == null){
			fecha.set(Calendar.MINUTE, 0);
		}
		if(segundo == null){
			fecha.set(Calendar.SECOND, 0);
		}
		if(milisegundo == null){
			fecha.set(Calendar.MILLISECOND, 0);
		}
		return fecha.getTime();
	}
}
